Saltar al contenido principal
GET
/
2
/
dm_conversations
/
with
/
{participant_id}
/
dm_events
Obtener eventos de mensajes directos de una conversación de mensajes directos
curl --request GET \
  --url https://api.x.com/2/dm_conversations/with/{participant_id}/dm_events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "event_type": "MessageCreate",
      "id": "1146654567674912769",
      "attachments": {
        "card_ids": [
          "<string>"
        ],
        "media_keys": [
          "<string>"
        ]
      },
      "cashtags": [
        {
          "end": 61,
          "start": 50,
          "tag": "TWTR"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "dm_conversation_id": "123123123-456456456",
      "hashtags": [
        {
          "end": 61,
          "start": 50,
          "tag": "MondayMotivation"
        }
      ],
      "mentions": [
        {
          "end": 61,
          "start": 50,
          "username": "<string>",
          "id": "2244994945"
        }
      ],
      "participant_ids": [
        "2244994945"
      ],
      "referenced_tweets": [
        {
          "id": "1346889436626259968"
        }
      ],
      "sender_id": "2244994945",
      "text": "<string>",
      "urls": [
        {
          "end": 61,
          "start": 50,
          "url": "https://developer.twitter.com/en/docs/twitter-api",
          "description": "This is a description of the website.",
          "display_url": "twittercommunity.com/t/introducing-…",
          "expanded_url": "https://developer.twitter.com/en/docs/twitter-api",
          "images": [
            {
              "height": 1,
              "url": "https://developer.twitter.com/en/docs/twitter-api",
              "width": 1
            }
          ],
          "media_key": "<string>",
          "status": 349,
          "title": "Introducing the v2 follow lookup endpoints",
          "unwound_url": "https://twittercommunity.com/t/introducing-the-v2-follow-lookup-endpoints/147118"
        }
      ]
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "next_token": "<string>",
    "previous_token": "<string>",
    "result_count": 123
  }
}

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

participant_id
string
requerido

El id de usuario participante en la conversación de MD uno a uno. Identificador único de este usuario. Se devuelve como una cadena para evitar complicaciones con lenguajes de programación y herramientas que no pueden manejar números enteros grandes.

Pattern: ^[0-9]{1,19}$
Ejemplo:

"2244994945"

Parámetros de consulta

max_results
integer<int32>
predeterminado:100

El número máximo de resultados.

Rango requerido: 1 <= x <= 100
pagination_token
string

Este parámetro se utiliza para obtener una "página" específica de resultados. Un token de paginación en base32.

Minimum string length: 16
event_types
enum<string>[]

El conjunto de event_types que se incluirán en los resultados.

Minimum array length: 1
Opciones disponibles:
MessageCreate,
ParticipantsJoin,
ParticipantsLeave
Ejemplo:
["MessageCreate", "ParticipantsLeave"]
dm_event.fields
enum<string>[]

Una lista separada por comas de campos de DmEvent que se devolverán en la respuesta. Campos disponibles para un objeto DmEvent.

Minimum array length: 1
Opciones disponibles:
attachments,
created_at,
dm_conversation_id,
entities,
event_type,
id,
participant_ids,
referenced_tweets,
sender_id,
text
Ejemplo:
[
"attachments",
"created_at",
"dm_conversation_id",
"entities",
"event_type",
"id",
"participant_ids",
"referenced_tweets",
"sender_id",
"text"
]
expansions
enum<string>[]

Una lista de campos, separados por comas, que se van a expandir. Lista de campos que puedes expandir para un objeto DmEvent. Si el campo contiene un id, puede expandirse a un objeto completo.

Minimum array length: 1
Opciones disponibles:
attachments.media_keys,
participant_ids,
referenced_tweets.id,
sender_id
Ejemplo:
[
"attachments.media_keys",
"participant_ids",
"referenced_tweets.id",
"sender_id"
]
media.fields
enum<string>[]

Una lista de campos de Media, separados por comas, que se mostrarán. Los campos disponibles para un objeto Media.

Minimum array length: 1
Opciones disponibles:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
Ejemplo:
[
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
user.fields
enum<string>[]

Una lista separada por comas de campos de User que se deben devolver. Los campos disponibles para un objeto User.

Minimum array length: 1
Opciones disponibles:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Ejemplo:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
tweet.fields
enum<string>[]

Una lista separada por comas de campos de Tweet que se deben incluir en la respuesta. Los campos disponibles para un objeto de tipo Tweet.

Minimum array length: 1
Opciones disponibles:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
Ejemplo:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]

Respuesta

La solicitud se ha realizado correctamente.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).

includes
object
meta
object